Summary: MIT Object Tcl, an extension to Tcl/Tk for object-oriented programming
Name: otcl
Version: 1.0a4
Release: 1
Copyright: MIT, "free"
Group:  Development/Languages/Tcl
Source: http://www-mash.cs.berkeley.edu/dist/otcl-1.0a4.tar.gz
Patch: otcl-1.0a4-COPYRIGHT.patch
Buildroot: /var/tmp/otcl-root
Requires: tcl = 8.0.3, tk = 8.0.3

%description
OTcl, short for MIT Object Tcl, is an extension to Tcl/Tk for
object-oriented programming. It shouldn't be confused with the IXI
Object Tcl extension by Dean Sheenan. (Sorry, but we both like the
name and have been using it for a while.)

OTcl was presented at the Tcl/Tk Workshop '95.

%changelog
* Wed Feb 24 1999 Christian Joensson FOA 72 <chj@lin.foa.se>
- Update to 1.0a4 "release" and added the post install and uninstalls...

* Sun Feb 14 1999 Christian Joensson FOA 72 <chj@lin.foa.se>
- Second release, fix some documentation and a proper copyright notice.

* Sat Feb 13 1999 Christian Joensson FOA 72 <chj@lin.foa.se>
- Create first rpm. Dependent on tcltk-8.0.3 source code ``prepared''.

  I.e.,	rpm -Uvh tcltk-8.0.3-20.src.rpm;
  	rpm -bc /usr/src/redhat/SPECS/tcltk-8.0.spec

  Should fix the libotcl.so properly next time...

%prep

%setup

%patch

%build

./configure --prefix=/usr --with-tcl=/usr/src/redhat/BUILD/tcltk-8.0.3/tcl8.0.3 --with-tk=/usr/src/redhat/BUILD/tcltk-8.0.3/tk8.0.3 --enable-shared
make prefix=/usr INST_OLIBSH=/usr/lib

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/include

make prefix=$RPM_BUILD_ROOT/usr INST_OTCLSH=$RPM_BUILD_ROOT/usr/bin INST_OWISH=$RPM_BUILD_ROOT/usr/bin INST_OLIB=$RPM_BUILD_ROOT/usr/lib INST_OLIBSH=$RPM_BUILD_ROOT/usr/lib INST_OINC=$RPM_BUILD_ROOT/usr/include INST_OLIBSH=$RPM_BUILD_ROOT/usr/lib install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean

rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) %doc README.html COPYRIGHT CHANGES.html doc
/usr/bin/owish
/usr/bin/otclsh
/usr/lib/libotcl.a
/usr/lib/libotcl.so
/usr/include/otcl.h

